## HTTPClient
Class ChunkedInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              HTTPClient.ChunkedInputStream

class ChunkedInputStream
extends FilterInputStream

This class de-chunks an input stream.

Field Summary
`(package private) byte[]` `one`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`(package private)` `ChunkedInputStream(InputStream is)`

Method Summary
`int` `available()`
`int` `read()`
`int` `read(byte[] buf, int off, int len)`
`long` `skip(long num)`

Methods inherited from class java.io.FilterInputStream
`close, mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### one

    byte[] one

Constructor Detail

### ChunkedInputStream

    ChunkedInputStream(InputStream is)

Parameters:
  `is` - the input stream to dechunk

Method Detail

### read

    public int read()
             throws IOException

  Throws:
    `IOException`

### read

    public int read(byte[] buf,
                    int off,
                    int len)
             throws IOException

  Throws:
    `IOException`

### skip

    public long skip(long num)
              throws IOException

  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Throws:
    `IOException`